<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:pretty="http://ocpsoft.com/prettyfaces"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:g="http://java.sun.com/jsf/composite/componentes"
		xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">



<h:panelGroup styleClass="row-fluid">
	<h:form id="form">
		<center>
			<h:panelGroup id="panelLancamento"  styleClass="span12">
				<h:panelGrid columns="2" >
					<div class="row-fluid" >
							<h:outputText value="Tipo"  />
						<div class="span12" >
							<p:selectOneRadio id="tipoLancamentoId" tabindex="1" value="#{lancamentoController.lancamento.tipoLancamento}" converter="enumConverter" style="margin-left: 10px;">
								<f:selectItems value="#{colecoesController.tiposLancamento}" var="t" itemValue="#{t}" 
								itemLabel="#{i.tipo}" />
							</p:selectOneRadio>
						</div>
					</div>
					
					<div class="row-fluid">
							<h:outputText value="Descrição"  />
						<div class="span12">
							<h:inputText tabindex="2" value="#{lancamentoController.lancamento.descricao}" maxlength="64"  style="width: 400px!important;" />
						</div>
					</div>
					
					<div class="row-fluid">
							<h:outputText value="Valor"  />
						<div class="span12">
							<h:inputText tabindex="3" value="#{lancamentoController.lancamento.valor}"  styleClass="currency input-small">
								<f:convertNumber type="currency" locale="pt_BR" maxFractionDigits="2" 
									minFractionDigits="2" />
							</h:inputText>
						</div>
					</div>
					
					<div class="row-fluid">
							<h:outputText value="Data"  />
						<div class="span12">
							<p:calendar tabindex="4" value="#{lancamentoController.lancamento.dataLancamento}" navigator="true"  pattern="dd/MM/yyyy" />
						</div>
					</div>
					<div class="row-fluid" >
						<h:panelGroup id="panelCategoria" styleClass="span12">
							<div class="row-fluid">
								<h:outputText styleClass="span12" value="Categoria" />
								<div class="row-fluid "  style="float: left;">
									<p:selectOneMenu tabindex="5" value="#{lancamentoController.categoria}" converter="viewEntityConverter" filterMatchMode="contains" filter="true">
										<p:ajax update="@this" />
										<f:selectItem itemValue="#{null}" itemLabel="Selecione" />
										<f:selectItems value="#{colecoesController.categorias}" var="c" itemLabel="#{c.nome}" itemValue="#{c}" />
									</p:selectOneMenu>
									<h:commandLink tabindex="6" styleClass="btn" title="Adicionar Categoria" style="height: 19px; margin-top: -20px;" >
										<i class="icon-plus" />
										<f:ajax listener="#{lancamentoController.adicionaCategoria}" event="click" render="panelCategoria" />
									</h:commandLink>
								</div>
							</div>
							<h:panelGrid id="categorias" columns="2" styleClass="row-fluid">
								<ui:repeat var="c" value="#{lancamentoController.lancamento.categorias}" >
									<g:removableLabel categoria="#{c}" controller="#{lancamentoController}"  />
								</ui:repeat>
							</h:panelGrid>
						</h:panelGroup>
					</div>

					<div class="row-fluid">
							<h:outputText value="Modo de pagamento" />
						<div class="span12">
							<p:selectOneMenu tabindex="7" value="#{lancamentoController.lancamento.tipoPagamento}" converter="viewEntityConverter" filterMatchMode="contains" filter="true" >
								<f:selectItems value="#{colecoesController.tiposPagamento}"  var="t" itemLabel="#{t.nome}" itemValue="#{t}"/>
							</p:selectOneMenu>
						</div>
					</div>					
				</h:panelGrid>
	
				<center>
					<h:panelGroup rendered="#{lancamentoController.mostraRepetir}" style="margin-top: 10px;" styleClass="span12">
						<h:outputText value="Repetir ?"  style="padding-right: 7px;" />
						<p:selectBooleanCheckbox tabindex="8" value="#{lancamentoController.repeticao}"  >
							<p:ajax update="panelOpcaoFixoParcelado,panelRepeticao" />
						</p:selectBooleanCheckbox >
					</h:panelGroup>

					<h:panelGroup id="panelOpcaoFixoParcelado" styleClass="span12">
						<h:panelGroup id="panelFixoParcelado"  rendered="#{lancamentoController.repeticao}">
							<p:selectOneRadio tabindex="9" id="tipoParcelamento" value="#{lancamentoController.tipoParcelamentoSelecionado}" converter="enumConverter">
								<f:selectItems value="#{lancamentoController.tiposParcelamento}" var="t" itemValue="#{t}" itemLabel="#{t}" />
								<p:ajax event="change" update="panelRepeticao" /> 
							</p:selectOneRadio>
						</h:panelGroup>
					</h:panelGroup>
					
					<h:panelGroup id="panelRepeticao" styleClass="row-fluid">
						<h:panelGroup id="panelParcelado"  rendered="#{lancamentoController.mostraPanelRepeticaoParcelado}" styleClass="span12">
							<div style="width: 200px;">
								<h:selectOneMenu tabindex="10" style=" width: 60px; float:left"  value="#{lancamentoController.numeroParcelas}" >
									<f:selectItems value="#{colecoesController.numeroParcelas}" var="p"  itemValue="#{p}"/>
								</h:selectOneMenu>
								<h:selectOneMenu tabindex="11" style="display: block; width: 130px" value="#{lancamentoController.lancamento.periodicidadeParcelada}" converter="enumConverter" >
									<f:selectItems value="#{colecoesController.periodicidadeParceladas}" var="p"  itemValue="#{p}"/>
								</h:selectOneMenu>
							</div>
						</h:panelGroup>
						
						<h:panelGroup id="panelFixo" rendered="#{lancamentoController.mostraPanelRepeticaoFixo}" styleClass="span12">
							<h:selectOneMenu tabindex="12"  value="#{lancamentoController.lancamento.periodicidadeFixa}" rendered="#{lancamentoController.mostraPanelRepeticaoFixo}"
								converter="periodicidadeFixaConverter" >
								<f:selectItems value="#{colecoesController.periodicidadeFixas}" var="p"  itemValue="#{p}" itemLabel="#{p.descricao}"/>
							</h:selectOneMenu>
						</h:panelGroup>
					</h:panelGroup>
				</center>
				
				


			</h:panelGroup>
			<div class="row-fluid"  style="margin-top: 10px;">
				<h:commandButton tabindex="13" styleClass="btn btn-primary" value="Salvar"  action="#{lancamentoController.salvar}"  >
				</h:commandButton>
				
			<pretty:link tabindex="14"  mappingId="lancamentos" style="text-decoration: none;" styleClass="btn btn-primary offset1">
				Cancelar
			</pretty:link>
			</div>
		</center>
		<h:panelGroup id="panelAlertaEdicao" styleClass="row-fluid" rendered="#{lancamentoController.edicaoLancamentoParcelado}">
			<div class="span12" style="background: yellow;">
				<center>
					<h:outputLabel value="Este é um lancamento parcelado, que se repete em outras datas" style="font-weight: bold; color: red"/>
				</center>
				<br/>
				<div class="row-fluid">
					<div class="span12">
						<p:selectBooleanCheckbox id="alterarEsteEPosteriores" value="#{lancamentoController.alterarEsteEPosteriores}" style="display: block">
							<p:ajax event="change"  update="panelAlertaEdicao" listener="#{lancamentoController.ajustaAlteracaoSeguintes}"/>
						</p:selectBooleanCheckbox>
						<h:outputLabel for="alterarEsteEPosteriores" value="Alterar apenas este e os seguintes" />
					</div>
				</div>
				<div class="row-fluid">
					<div class="span12">
						<p:selectBooleanCheckbox id="alterarTodosLancamentos" value="#{lancamentoController.alterarTodosLancamentos}" style="display: block">
							<p:ajax event="change"  update="panelAlertaEdicao" listener="#{lancamentoController.ajustaAlteracaoTodos}"/>
						</p:selectBooleanCheckbox>
						<h:outputLabel escape="false" style="font-weight: bold" value="É, tenho certeza! Quero alterar todas, inclusive as anteriores" /> 
					</div>
				</div>
			</div>
		</h:panelGroup>
	</h:form>
</h:panelGroup>

</html>
